const system=require("../../system");
const Dao=require("../dao.base");
class OfflinecompanyDao extends Dao{
    constructor(){
        super(Dao.getModelName(OfflinecompanyDao));
    }

    async suggest(name) {
        if (!name) {
            return [];
        }
        var sql = "SELECT id, company_name as name FROM `c_offline_company` WHERE company_name LIKE :queryLike AND deleted_at IS NULL ";

        sql = sql + " ORDER BY id ASC ";
        var list = await this.customQuery(sql, {queryLike: "%" + name + "%"});
        return list || [];
    }
}
module.exports=OfflinecompanyDao;
